<p class="sidebar-header"><b>Collection Tools</b></p>
<%= render :partial => 'dams_collections/show_sort_options' %>    
<ul class="unstyled sidebar-button-list">
  <li><%= link_to "<i class='icon-plus-sign'></i> Metadata Export".html_safe, collection_export_url(@document.id), 
        class: "btn btn-block btn-small btn-link"%>        
  </li>
  <% links = { "rdf" => "RDF View", "rdf_nt" => "RDF N-Triples View", "rdf_ttl" => "RDF Turtle View", "data" => "Data View", "dams42" => "DAMS 4.2 Preview" }
    links.each { |key,label| %>
  <li><%= link_to "<i class='icon-plus-sign'></i> #{label}".html_safe,
      send("#{key}_dams_collection_path".to_sym, @document['id']),
      class: "btn btn-block btn-small btn-link" %>
  </li>
  <% } %>
  <% if can? :edit, @document['id'] %>
    <% doi = doi?(@document['otherNote_json_tesim'])
      links = { "ezid" => "Mint DOI", "ezid_update" => "Update DOI record", "ezid_batch" => "Batch Mint DOI", "ezid_batch_update" => "Batch Update DOI", "osf_push" => "Push to OSF", "osf_delete" => "Delete from OSF"}
      links.each { |key,label| %>
      <% if key.include?('osf') || (key == 'ezid' && !doi) || (key == 'ezid_update' && doi) %>
        <li><%= link_to "<i class='icon-plus-sign'></i> #{label}".html_safe,
        send("#{key}_dams_collection_path".to_sym, @document['id']),
        class: "btn btn-block btn-small btn-link" %>
        </li>
      <% elsif (key.include?('batch'))%>
        <li><%= link_to "<i class='icon-plus-sign'></i> #{label}".html_safe,
        "#", 
        class: "ezid_batch btn btn-block btn-small btn-link",
        data: { path:  (key.include?('update') ? "#{ezid_batch_update_dams_collection_path}" : "#{ezid_batch_dams_collection_path}"), label: "#{label}" } %>
        </li>
      <% end %>
    <% } %>
    <%= render :partial => 'shared/fields/edit_button' %>
  <% end %>
</ul>
